org.keycloak.models.map.group

## Class AbstractGroupEntity<K>

- java.lang.Object
- - org.keycloak.models.map.group.AbstractGroupEntity<K>

- All Implemented Interfaces:
    AbstractEntity<K>
  Direct Known Subclasses:
    MapGroupEntity

      public abstract class AbstractGroupEntity<K>
      extends Object
      implements AbstractEntity<K>

  Author:
    mhajas

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `updated` Flag signalizing that any of the setters has been meaningfully used.

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractGroupEntity()`
    `` | `AbstractGroupEntity(K id, String realmId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addGrantedRole(String role)`
    `List<String>` | `getAttribute(String name)`
    `Map<String,List<String>>` | `getAttributes()`
    `Set<String>` | `getGrantedRoles()`
    `K` | `getId()`
    `String` | `getName()`
    `String` | `getParentId()`
    `String` | `getRealmId()`
    `boolean` | `isUpdated()` Flag signalizing that any of the setters has been meaningfully used.
    `void` | `removeAttribute(String name)`
    `void` | `removeRole(String role)`
    `void` | `setAttribute(String name, List<String> value)`
    `void` | `setAttributes(Map<String,List<String>> attributes)`
    `void` | `setGrantedRoles(Set<String> grantedRoles)`
    `void` | `setName(String name)`
    `void` | `setParentId(String parentId)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### updated

          protected boolean updated

      Flag signalizing that any of the setters has been meaningfully used.

  - ### Constructor Detail

    - #### AbstractGroupEntity

          protected AbstractGroupEntity()

    - #### AbstractGroupEntity

          public AbstractGroupEntity(K id,
                                     String realmId)

  - ### Method Detail

    - #### getId

          public K getId()

      Specified by:
        `getId` in interface `AbstractEntity<K>`

    - #### isUpdated

          public boolean isUpdated()

      Description copied from interface: `AbstractEntity`
      Flag signalizing that any of the setters has been meaningfully used.
      Specified by:
        `isUpdated` in interface `AbstractEntity<K>`
      Returns:

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### getParentId

          public String getParentId()

    - #### setParentId

          public void setParentId(String parentId)

    - #### getAttributes

          public Map<String,List<String>> getAttributes()

    - #### setAttributes

          public void setAttributes(Map<String,List<String>> attributes)

    - #### setAttribute

          public void setAttribute(String name,
                                   List<String> value)

    - #### removeAttribute

          public void removeAttribute(String name)

    - #### getAttribute

          public List<String> getAttribute(String name)

    - #### getRealmId

          public String getRealmId()

    - #### getGrantedRoles

          public Set<String> getGrantedRoles()

    - #### setGrantedRoles

          public void setGrantedRoles(Set<String> grantedRoles)

    - #### removeRole

          public void removeRole(String role)

    - #### addGrantedRole

          public void addGrantedRole(String role)

Copyright © 2020 JBoss by Red Hat. All rights reserved.